﻿/* temporary workaround for calendar inside of a child overview */
div[data-viewid="PTW_MyTaskCalendar"] .fc .fc-view-harness-active > .fc-view {
    position: relative;
}
div[data-viewid="PTW_MyTaskCalendar"] .fc .fc-scroller {
    position: relative !important;
}
div[data-viewid="PTW_MyTaskCalendar"] .fc .fc-scrollgrid-sync-table {
	height: 70vh !important;
	min-width: 100%;
}
div[data-viewid="PTW_MyTaskCalendar"] .fc .fc-col-header {
	min-width: 100%;
}


.kpiTable-row{
	line-height:1;
}

.kpiTable-label-cell{
	font-size:large;
}

.kpiTable-value-cell{
	text-align:right;
}

#Logo {
    background: url(../Images/ServiceaideReverse.png);
    background-repeat: no-repeat;
    background-size: 175px 50px;
    height: 76px;
    width: 300px;
    float: left;
    margin-top: 3px;
}

#header2 #topbarwrapper #topbarleft #Logo {
    width: 300px;
}

#header2 #topbarwrapper {
    /* background: #3EB1C8; */
    background: #D86018;
    border: none;
    border-bottom: 1px solid #9FD1E4;
    padding: 0 10px;
}

#header2 #topbarwrapper #topbarleft #toggler {
    float: left;
    font-size: 20px;
    margin-top: 17px;
}

#toggler {
    color: #FFFFFF;
}
#topbarwrapper > .row {
	align-items: center !important;
}

.header-search-input {
    border-bottom: 1px solid #ffffff;
    border-radius: 0px;
}

.ui-widget input {
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif !important;
    font-size: 12pt;
}

#searchinput {
    color: white;
}

input[type=text] {
    -webkit-appearance: none;
    -webkit-border-radius: 0;
    /* border-radius: 0; */
    border-radius: 5px;
    padding-left: 2px;
    height: 30px;
}

.fa, .fas {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
}

.header-big-icon {
    font-size: 2em;
    cursor: pointer;
    padding-left: 5px;
    padding-right: 5px;
    color: #FFFFFF !important;
}

.login-user-name .navi-loggedUser, .login-group-name .navi-loggedUserGroup {
    display: inline-flex;
    align-items: center;
    height: 2.5em;
    font-size: 1.1em;
    color: #FFFFFF;
}

.navi-loggedUser {
    color: #FFFFFF !important;
}

#header2 #topbarwrapper #topbarright .float-left .login-user-name {
    margin-right: 40px;
}

#topbarright .fa-search {
    content: "\f002";
    color: white;
}

#MainLogo {
    background: transparent url(../../images/ServiceAide_Logo_RGB.png) no-repeat;
    height: 80px;
    width: 300px;
}

.container.login-center {
    max-width: 600px;
}

#MainContent_Wrapper_PTW_ProjectTaskSum, #MainContent_Wrapper_PTW_UserProjectTask{
	display:none;
}

#topbarright{
	font-size:small;
}


.card-project-stoplight_Yellow {
    border-left-color: yellow !important;
    border-left-width: 8px !important;
}

.card-project-stoplight_Red {
    border-left-color: red !important;
    border-left-width: 8px !important;
}

.card-project-stoplight_Green {
    border-left-color: green !important;
    border-left-width: 8px !important;
}

.lane-section, .lane-section-disabled {
	width:14.5vw;
	min-width:200px;
}

.lane-section-head {
	width:14.5vw;
	min-width:200px;
}

.kanban-row-header>h1 {
    color: black !important;
}

.card-v1 {
    width: 100% !important;
	font-size:x-small;
}

.status-hover:hover {
    cursor: pointer;
}

#MainContent_TabList .ui-tabs-tab,#DetailContent_detailTabs .ui-tabs-tab,#WeekschemaPage .pob-main-content .ui-tabs-nav .ui-tabs-tab {
    border-radius: 8px;
    box-shadow: 3px #d2c9b8 2px #ECE7DD;
    box-shadow: 1px 2px 5px 0px #b6a991;
	background: #5B6770;
    margin-right: 10px;
	color: white;
}
#WeekschemaPage .pob-main-content .ui-tabs-nav{
	background:none;
	border:none;
}

.pob-tab-detail .ui-tabs-nav {
    border-width: 0 0 0 0;
}

.ui-widget input, .ui-widget select, .ui-widget button {
    height: 30px;
}

#MainContent_TabList .ui-tabs-tab.ui-state-hover:hover,#DetailContent_detailTabs .ui-tabs-tab.ui-state-hover:hover, #WeekschemaPage .pob-main-content .ui-tabs-nav .ui-tabs-tab.ui-state-hover:hover,#MainContent_TabList .ui-tabs-tab.ui-state-active,#WeekschemaPage .pob-main-content .ui-tabs-nav .ui-tabs-tab.ui-state-active,#DetailContent_detailTabs .ui-tabs-tab.ui-state-active{
		background: #D86018;
}

#MainContent_TabList .ui-state-default a,#MainContent_TabList .ui-state-default a:link,#DetailContent_detailTabs .ui-state-default a,#DetailContent_detailTabs .ui-state-default a:link,#WeekschemaPage .pob-main-content .ui-tabs-nav .ui-tabs-tab a,#WeekschemaPage .pob-main-content .ui-tabs-nav .ui-tabs-tab a:link{
    color: white;
    text-decoration: none;
}

.week-picker {
    margin-left: 35vw;
    margin-bottom: 14px;
}

/* removed for 2.4 upgrade */
.week-picker #weekselect-ref {
    /* height: 40px; */
}

.week-picker .btn-text {
    font-size: x-large;
    font-weight: bold;
}

#tabs .ui-tabs-nav {
    border-width: 0 0 0 0;
}

.ui-widget.ui-widget-content {
    border: none;
}

.ui-widget-content {
    background: none;
}
#weekschema tr[role="rowheader"] {
    z-index: 2;
}

#weekschema .ui-state-hover {
    border: none;
}

#weekschema table {
    /* height: 300px; */
    table-layout: fixed;
}
#weekschema tr[role="rowheader"] > th{
	color:white;
}
#weekschema tr[role="rowheader"] > th:first-child{
    width: 11vw;
}

#weekschema tr[role="rowheader"] > th:nth-of-type(2){
    width: 46vw;
}

#weekschema tr[role="rowheader"] > th:nth-of-type(n+3){
    width: 4vw;
}
#weekschema .weekrow td:first-child {
    width: 12vw;
}

#weekschema .weekrow td:nth-of-type(2) {
    width: 45vw;
	font-size:small;
}

#weekschema .weekrow td:nth-of-type(n+3) {
    width: 4vw;
}

#weekschema tr:nth-of-type(n+2) {
    /* position: relative; */
    /* top: 47px; */
}

.ui-state-default, .ui-widget-content .ui-state-default {
    border: 1px solid #5B6770;
    background: #5B6770;
}

.ui-state-default a, .ui-state-default a:link, .ui-state-default a:visited, a.ui-button, a:link.ui-button, a:visited.ui-button, .ui-button {
    color: white !important;
    text-decoration: none;
}

#weekschema .ui-jqgrid-labels{
	/* Js - changed after upgrade to 2.2 */
	/*background-color: #5B6770;*/
	background-color: #5B6770 !important;
}

#menuaccordion, #ui-datepicker-div{
	background-color:white;
}

#ui-datepicker-div .ui-datepicker-calendar td a{
	color:white;
}
#ui-datepicker-div .ui-datepicker-calendar td a.ui-state-hover:hover{
	background: #D86018;
}

#ui_tpicker_hour_DetailContent_FromDate,#ui_tpicker_minute_DetailContent_FromDate{
	background-color: #9BA6AE;
}

#ui-datepicker-div .ui-datepicker-calendar td a.ui-state-active{
	background: #D86018;	
}

.ui-button{
	background: #5B6770 !important;
}

.ui-button:hover{
	background: #D86018 !important;
	color:white  !important;
}

.ui-widget-content {
    border: 0px solid #ddd;
    color: #382832;
}

#weekschema tr[role="rowheader"] {
    display: block;
/* JS - removed after upgrade to 2.2*/
    /*position: fixed;*/
}
#weekschema tbody {
    display: block;
    /* overflow: auto; */
    /* width: 100%; */
    /* height: 600px; */
    /* overflow-y: scroll; */
    /* overflow-x: hidden; */
}

/* PR - Added after upgrade to 2.4*/
[data-viewid="PTW_MainWeeklyTime"], [data-viewid="PTW_MainWeekSchema"]{
	width: 80vw !important;
}
[data-viewid="PTW_MainWeekSchema"] .portlet-content {
	height: calc(100vh - 350px) !important;
}
[data-viewid="PTW_MainWeeklyTime"] .kpiTableScroll {
	overflow-y: hidden !important;
}

.week-outer-wrapper .wrapper-right {
	height: inherit !important;
}
#weekschema {
    height: inherit !important;
}
#weekschema .ui-jqgrid-bdiv {
    overflow-y: auto !important;
}
#weekschema tbody {
    /* height: 70vh !important; */
}

#WeekSchema_WeekSchema_GB_ResourceLog{
	background-color:white;
}
.ui-dialog{
	background-color: white;
}

.ui-widget .ui-widget:not(.fa) {
    font-size: 10pt ! important;
}

.card-project-substatus_Active{
	background-color: #DDFCD8 !important;
}

.card-project-substatus_On.Hold{
	background-color: #FEF0DC !important;
}

.card-project-substatus_NotAssigned{
	background-color: #FFFED6 !important;
}

.card-project-substatus_Pending.Close{
	background-color: #F9F9F9 !important;
}

.card-project-substatus_Closed{
	background-color: #DFDEDE !important;
}

.ui-state-highlight{
	background:#D2FFFC !important;
	border-top: 2px solid #0C978D !important;
	border-right: 2px solid #0C978D !important;
	border-bottom: 2px solid #0C978D !important;
}

.ui-dialog-titlebar, .ui-datepicker-header, .ui-datepicker-current, .ui-datepicker-close{
	background: #5B6770;
	color:white !important;
}
.ui-datepicker-current:hover, .ui-datepicker-close:hover{
	background: #D86018;
}

.pob-lookup-result{
	background:white;
}
.pob-lookup-result tr:nth-child(odd){
	background-color: #eeeeee;
}
::placeholder {
	color: white;
}

.card.zzsg-activitycard-i.activity-Closed {
    background: #d5d5d6;
}

.card.zzsg-activitycard-i.ui-state-highlight {
    border: none;
    border-bottom: 3px solid rgb(96,96,98);
    border-right: 3px solid rgb(96,96,98);
    background: #9FD1E4;
}

.card.zzsg-activitycard-i.activity-In.process{
    background: #f9e79f;
}

.card.zzsg-activitycard-i.activity-Released{
    background: #befac8;
}

.card.zzsg-activitycard-i.activity-Planned{
    background: #b5d5f6;
}

#MainContent_Wrapper_PTW_QTCActivityDetail,#MainContent_Wrapper_PTW_QTCTasks{
	display:none;
}


form[action*='PTW_MainOverview_ResourceKPI'] #outer.main.isdetail {
    overflow-y: auto;
}

/* Resource Log Dialog window */
div[aria-describedby="resourcelog_dialog"]{
	min-width: 465px;
}

div#MainContent_Wrapper_PTW_WeekForecast {
    padding-top: 40px;
}

.ServiceCatalog,.Item {display:none;}

/* Filter on Project list */
#gview_PTW_FullProjectList_List tr.ui-search-toolbar,
#gview_PTW_ProjectListingManagement_List tr.ui-search-toolbar { 
	display: table-row !important; 
}